Cloady Docs
API ReferenceEndpointsVariables

Bulk-create environment variables, skipping keys already set

POST
/api/workspaces/{workspaceSlug}/apps/{appSlug}/vars/import
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string
appSlug*string

Query Parameters

env?string

Value in

  • "production"
  • "preview"
  • "development"
region?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/workspaces/string/apps/string/vars/import" \  -H "Content-Type: application/json" \  -d '{    "entries": [      {        "key": "string",        "value": "string"      }    ]  }'
{  "added": 0,  "skipped": 0,  "errors": [    {      "key": "string",      "message": "string"    }  ]}